LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Red Hat (http://www.linuxquestions.org/questions/red-hat-31/)
-   -   Openssl on redhat EL 4 - getting bad... (http://www.linuxquestions.org/questions/red-hat-31/openssl-on-redhat-el-4-getting-bad-492163/)

anandrenake 10-13-2006 02:21 PM

Openssl on redhat EL 4 - getting bad...
 
Hi Gurus!

I have compiled openssl-0.9.7b src.rpm for RHEL 4

But several packages needs libcrypto.so.4 and libssl.so.4 and the src.rpm which I used provided libcrypto.so.2 and libssl.so.2

I editted the spec file so that I get the symlinks created as .so.4

But still after compilation, I had the **force** the installation
Quote:

[root@host ~]# rpm -q --whatrequires openssl
.
.
.
curl-7.12.1-8.rhel4
.
.
[root@host ~]# rpm -Vvv curl
.
.
.
D: Requires: libcrypto.so.4 NO
D: package curl-7.12.1-8.rhel4.i386 has unsatisfied Requires: libcrypto.so.4
D: Requires: libcurl.so.3 YES (added provide)
D: Requires: libcurl.so.3 YES (db provides)
D: Requires: libdl.so.2 YES (db provides)
.
.
.
D: Requires: libssl.so.4 NO
D: package curl-7.12.1-8.rhel4.i386 has unsatisfied Requires: libssl.so.4
.
.
.
When I checked the spec file of openssl-0.9.7f-7.10.src.rpm (Fedora core 4), I saw this:
Quote:

[root@host openssl-0.9.7f-src]# head openssl.spec
# For the curious:
# 0.9.5a soversion = 0
# 0.9.6 soversion = 1
# 0.9.6a soversion = 2
# 0.9.6c soversion = 3
# 0.9.7a soversion = 4
# 0.9.7ef soversion = 5
%define soversion 5
This soversion is creating a lot of problems. How to solve it ?

Please help me! how to resolve these dependancies!?!? I really want to upgrade to the newer openssl package, but Redhat doesnt provide any rpms.


Thanks!
Anand.

anandrenake 10-13-2006 03:05 PM

hey,

I solved the problem myself by adding

Quote:

Provides: openssl libcrypto.so.4 libssl.so.4
to the spec file and re-compiled the rpm...

Regards,
Anand.


All times are GMT -5. The time now is 12:42 PM.